/*******************************(abc903-18325)*********
 * SPIڑ(24LC1024/23LCV1024) with AQM1248A  
 ******************************************************/

#include "mcc_generated_files/mcc.h"
#include "myProject.h"
#include "AQM1248A_v2.h"
#include "spi_Mem2.h"

// #define  BFSIZE 20         // myProject.hŐ錾
char     sBf[BFSIZE];       // ƃGA
char     RBuf[BFSIZE];      // VAMobt@
uint8_t  SFlg;              // VAMtO

//---- ^[~iɃvvg\
void prtPrompt(uint8_t m){
    if(m)  printf("# ");           	// A[h
    else   printf("$ ");           	// ʏ폑[h
}

/*-----------------------------------
 *        Main application
 ------------------------------------*/
void main(void){
    uint8_t cmd;

    SYSTEM_Initialize();
    SSP1CON1bits.SSPEN = 1;     //SPI1L
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    gLCD_int();
    gLCD_clr(0);                // x^0xFF
    
    puts("Ready\r");  			// mFp
    gLCD_strX(0,0,"Ready");
    prtPrompt(spiMem_SqMode());
//    SPI_Rom_RdStat();
    
    while (1){
        if(SFlg){
            gLCD_clr(0);            // OtBbNʏ
            gLCD_strX(0,0,RBuf);    // LCDɃR}h\
            cmd = RBuf[0];            // R}h͑1
            #ifndef VBA
                printf("\n\r");
            #endif
            switch(cmd) {               // eR}h̎s
                case 'W': spiMem_cmd_W(RBuf);  break;
                case 'R': spiMem_cmd_R(RBuf);  break;
                case 'Q': spiMem_cmd_Q(RBuf);  break;
                case 'U': spiMem_cmd_U(RBuf);  break;
                case 'S': spiMem_cmd_W(RBuf);  break;
                case 'P': spiMem_cmd_P(RBuf);  break;
                case 'K': spiMem_cmd_K(RBuf);  break;
                                        // LȃR}hȂ
                default:  if(spiMem_SqMode()){
                            spiMem_cmd_WSQ(RBuf);
                          }            // A[hȂ
                          break;       // V[PXs
            }
            SFlg = 0;
            #ifndef VBA
                prtPrompt(spiMem_SqMode());
            #endif
        }
        IO_RA4_Toggle();
        __delay_ms(500);
    }
}
/**===  End of File  ===*/
